Package epydoc :: Package docwriter :: Module latex :: Class LatexWriter :: Class _LatexDocstringLinker

[hide private]
[frames] | no frames]

# Class _LatexDocstringLinker

source code

Instance Methods | [hide private]

`string`

translate_indexterm(self, indexterm) Translate an index term to the appropriate output format. | source code

`string`

translate_identifier_xref(self, identifier, label=None) Translate a crossreference link to a Python identifier to the appropriate output format. | source code

Method Details | [hide private]

### translate_indexterm(self, indexterm)

source code

Translate an index term to the appropriate output format. The output will typically include a crossreference anchor.

Parameters:
  - `indexterm` - The index term to translate.
Returns: `string`
  The translated index term.
Overrides: markup.DocstringLinker.translate_indexterm
  (inherited documentation)

### translate_identifier_xref(self, identifier, label=None)

source code

Translate a crossreference link to a Python identifier to the appropriate output format. The output will typically include a reference or pointer to the crossreference target.

Parameters:
  - `identifier` - The name of the Python identifier that should be linked to.
  - `label` - The label that should be used for the identifier, if it's different from the name of the identifier.
Returns: `string`
  The translated crossreference link.
Overrides: markup.DocstringLinker.translate_identifier_xref
  (inherited documentation)